%define major 1
%define pcscspy_major 0
%define libname %mklibname pcsclite %{major}
%define pcscspy_libname %mklibname pcscspy %{pcscspy_major}
%define develname %mklibname pcsclite -d

Summary:	M.U.S.C.L.E. PC/SC Framework for Linux
Name:		pcsc-lite
Version:	1.8.3
Release:	2
License:	BSD-like
Group:		System/Servers
URL:		http://pcsclite.alioth.debian.org
Source0:	https://alioth.debian.org/frs/download.php/3695/pcsc-lite-%{version}.tar.bz2
Source1:	https://alioth.debian.org/frs/download.php/3695/pcsc-lite-%{version}.tar.bz2.asc

BuildRequires:	doxygen
BuildRequires:	udev-devel
BuildRequires:	usb1-devel

Requires:	%{libname} = %{version}

%description
The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
in a very small form factor for communicating to smartcards and
readers.  PC/SC Lite uses the same winscard API as used under
Windows(R).  This package includes the PC/SC Lite daemon, a resource
manager that coordinates communications with smart card readers and
smart cards that are connected to the system, as well as other command
line tools.

%package -n	%{libname}
Summary:	Muscle PCSC Framework for Linux libraries
Group:		System/Libraries
Provides:	libpcsclite%{major} = %{version}-%{release}

%description -n	%{libname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%package -n	pcsc-spy
Summary:	PCSC API spy
Group:		System/Libraries

Requires:	python
Requires:	pcsc-lite
Requires:	%{pcscspy_libname} = %{version}

%description -n	pcsc-spy
The purpose of pcsc-spy is to spy all the calls between the PC/SC client
and the PC/SC library.

%package -n	%{pcscspy_libname}
Summary:	PCSC Smart Card Library
Group:		System/Libraries

%description -n	%{pcscspy_libname}
Supporting library for the PC/SC spy tool.

%package -n	%{develname}
Summary:	Muscle PCSC Framework for Linux development files
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{pcscspy_libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libpcsclite-devel = %{version}-%{release}
Obsoletes:	%mklibname -d pcsclite 1

%description -n	%{develname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%package	doc
Summary:	PC/SC Lite developer documentation
Group:		Development/Other
Buildarch:	noarch

%description	doc
%{summary}.


%prep
%setup -q

%build
%serverbuild
%configure2_5x --disable-static \
   --enable-ipcdir=%{_localstatedir}/run \
   --enable-usbdropdir=%{_libdir}/pcsc/drivers \
   --disable-libhal
%make
doxygen doc/doxygen.conf; rm -f doc/api/*.{map,md5}

%install
%makeinstall_std

# service files
install -d %{buildroot}%{_unitdir}
install -m 644 etc/pcscd.service %{buildroot}%{_unitdir}/pcscd.service
install -m 644 etc/pcscd.socket %{buildroot}%{_unitdir}/pcscd.socket

rm -f %{buildroot}/%{_libdir}/*.la

# Create empty directories
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/reader.conf.d
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pcsc/drivers
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/pcscd

%post
%_post_service pcscd
# systemd hack #1 (fix if you know how to do sockets better :))
if /bin/mountpoint -q /sys/fs/cgroup/systemd; then
	/bin/systemctl disable pcscd.service > /dev/null 2>&1
	/bin/systemctl enable pcscd.socket > /dev/null 2>&1

	# Initial installation
	if [ $1 -eq 1 ] ; then
		/bin/systemctl start pcscd.socket > /dev/null 2>&1
	fi
fi

%preun
# systemd hack #2
if /bin/mountpoint -q /sys/fs/cgroup/systemd; then
	# Removal, not upgrade
	if [ $1 -eq 0 ] ; then
		/bin/systemctl disable pcscd.socket > /dev/null 2>&1
		/bin/systemctl stop pcscd.socket > /dev/null 2>&1
	fi
fi

%_preun_service pcscd

%postun
if /bin/mountpoint -q /sys/fs/cgroup/systemd; then
	/bin/systemctl daemon-reload
fi

%files
%doc AUTHORS DRIVERS HELP INSTALL NEWS README SECURITY
%doc doc/README.DAEMON
%dir %{_sysconfdir}/reader.conf.d/
%dir %{_libdir}/pcsc/drivers/
%{_unitdir}/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_sbindir}/*

%files -n %{libname}
%doc COPYING
%{_libdir}/libpcsc*.so.%{major}*

%files -n pcsc-spy
%{_bindir}/pcsc-spy
%{_mandir}/man1/pcsc-spy.1.*

%files -n %{pcscspy_libname}
%{_libdir}/libpcscspy.so.%{pcscspy_major}*

%files -n %{develname}
%doc ChangeLog
%{_libdir}/pkgconfig/* 
%{_includedir}/*
%{_libdir}/*.so

%files doc
%doc doc/api/ doc/example/pcsc_demo.c COPYING



%changelog
* Tue Jun 26 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1.8.3-2
+ Revision: 807078
- Fix dependency on rpm-helpers

* Tue Jun 26 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.8.3-1
+ Revision: 806975
- spec synced with mageia
- version update 1.8.3

* Thu Jan 19 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.8.2-2
+ Revision: 762310
- added systemd service and removed libhal

* Thu Jan 19 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.8.2-1
+ Revision: 762305
- version update to 1.8.2

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1.6.6-2
+ Revision: 667015
- mass rebuild

* Sat Jan 01 2011 Anssi Hannula <anssi@mandriva.org> 1.6.6-1mdv2011.0
+ Revision: 627057
- new version
  o deprecated ifdhandler PDF has been dropped

* Mon Aug 16 2010 Emmanuel Andry <eandry@mandriva.org> 1.6.4-1mdv2011.0
+ Revision: 570476
- New version 1.6.4

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 1.6.1-3mdv2011.0
+ Revision: 562991
- add provides for static package

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 1.6.1-2mdv2011.0
+ Revision: 562986
- build static lib for libchipcard

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 1.6.1-1mdv2011.0
+ Revision: 562970
- New version 1.6.1
- use libusb rather than libhal for distro policy

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5.5-2mdv2010.1
+ Revision: 521156
- rebuilt for 2010.1

* Sun Aug 02 2009 Emmanuel Andry <eandry@mandriva.org> 1.5.5-1mdv2010.0
+ Revision: 407552
- New version 1.5.5

* Tue Jul 28 2009 Emmanuel Andry <eandry@mandriva.org> 1.5.4-1mdv2010.0
+ Revision: 402524
- New version 1.5.4

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.3-1mdv2010.0
+ Revision: 370169
- Update to new version 1.5.3

* Sun Feb 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.2-1mdv2009.1
+ Revision: 340647
- Update to new version 1.5.2

* Thu Jan 22 2009 Funda Wang <fwang@mandriva.org> 1.5.1-1mdv2009.1
+ Revision: 332590
- New verison 1.5.1

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.102-1mdv2009.0
+ Revision: 229708
- 1.4.102
- spec file massage

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 02 2008 Funda Wang <fwang@mandriva.org> 1.4.101-1mdv2009.0
+ Revision: 200030
- New version 1.4.101

* Thu Apr 24 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.4.100-1mdv2009.0
+ Revision: 197113
- prefers libhal over libusb now
- new version 1.4.100
- update License tag for licensing policy
- better library policy compliance

* Tue Mar 25 2008 Thierry Vignaud <tv@mandriva.org> 1.4.4-3mdv2008.1
+ Revision: 190012
- move 360k of docs into devel subpackage

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.4-2mdv2008.1
+ Revision: 179159
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 1.4.4-1mdv2008.0
+ Revision: 80711
- correct license to BSD
- new release 1.4.4

* Sat Jul 14 2007 Adam Williamson <awilliamson@mandriva.org> 1.4.3-1mdv2008.0
+ Revision: 52107
- new devel policy
- new release 1.4.3

* Mon May 28 2007 Andreas Hasenack <andreas@mandriva.com> 1.4.2-1mdv2008.0
+ Revision: 32049
- added tetex-latex to buildrequries
- updated to version 1.4.2

